Rygel.Configuration – librygel-core Reference Manual

# Configuration

## Object Hierarchy:

## Description:

public interface Configuration : `Object`

Interface for dealing with Rygel configuration.

All known implementing classes:

- BaseConfiguration

- MetaConfig

Namespace: Rygel
Package: librygel-core

## Content:

### Methods:

- public abstract `bool` get_upnp_enabled () throws `Error`
- public abstract `string` get_interface () throws `Error`
- public abstract `string`[] get_interfaces () throws `Error`
- public abstract `int` get_port () throws `Error`
- public abstract `bool` get_transcoding () throws `Error`
- public abstract `bool` get_allow_upload () throws `Error`
- public abstract `bool` get_allow_deletion () throws `Error`
- public abstract `string` get_log_levels () throws `Error`
- public abstract `string` get_plugin_path () throws `Error`
- public abstract `string` get_engine_path () throws `Error`
- public abstract `string` get_media_engine () throws `Error`
- public abstract `string` get_video_upload_folder () throws `Error`
- public abstract `string` get_music_upload_folder () throws `Error`
- public abstract `string` get_picture_upload_folder () throws `Error`
- public abstract `bool` get_enabled (`string` section) throws `Error`
- public abstract `string` get_title (`string` section) throws `Error`
- public abstract `string` get_string (`string` section, `string` key) throws `Error`
- public abstract `ArrayList`<`string`> get_string_list (`string` section, `string` key) throws `Error`
- public abstract `int` get_int (`string` section, `string` key, `int` min, `int` max) throws `Error`
- public abstract `ArrayList`<`int`> get_int_list (`string` section, `string` key) throws `Error`
- public abstract `bool` get_bool (`string` section, `string` key) throws `Error`

### Signals:

- public signal void configuration_changed (ConfigurationEntry entry)
  Emitted when any of known configuration settings has changed. RygelConfigurationEntry lists known configuration settings.
- public signal void section_changed (`string` section, SectionEntry entry)
  Emitted when any of section settings has changed. RygelSectionEntry lists known section settings.
- public signal void setting_changed (`string` section, `string` key)
  Emitted when some custom setting has changed. That happens when changed setting does fit into neither configuration_changed nor section_changed signal.

### Inherited Members:

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count